Bug 99292 - Rails Project debugging support
Rails Project debugging support
Status: RESOLVED FIXED
Product: ruby
Classification: Unclassified
Component: Code
6.x
All All
: P1 (vote)
: 6.x
Assigned To: Martin Krauskopf
issues@ruby
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-28 19:13 UTC by Martin Krauskopf
Modified: 2007-07-03 14:45 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Krauskopf 2007-03-28 19:13:25 UTC
Should be available soon.
Comment 1 Martin Krauskopf 2007-04-06 17:51:37 UTC
Very fresh/initial commit. The best to use fast debugger for debugging rails.

With this commit I've made some refactoring in various code. I've fully injected
debugger triggering code into the 'Execution code' which makes both
ActionProviders cleaner and get rid of duplicated code wrt to debugger
triggering. Also I don't need any other special 'friend API' just for the
debugger - all uses the same debugger-aware Execution API.

I've changed "args-type" methods signatures to return arguments instead of
passing accumulator list. I needed more fine grained control since I needed to
inject debugger in between them and this way looks more natural.

ExecutionDescriptor and related classes simple change. The API had actually
following "signature":

  <cmd> <initial_args> <args> <additional_args>    [1]

I've just changed it to:

  <cmd> <initial_args> <script> <additional_args>  [2]

In all(?) current cases <cmd> is actually <interpreter> since gem,
script/server, rake, .. <script> are all just Ruby scripts. And in all current
places the API was actually used in the way [2]:

  <interpreter> <interpreter_args> <script> <script_args>

Seems to make sense and current debug-commons-java needs those pieces
separately. More cleanup comes soon.


Commit:
debug-commons-java/manifest.mf;
new revision: 1.7; previous revision: 1.6
debugger/manifest.mf;
new revision: 1.12; previous revision: 1.11
debugger/nbproject/project.xml;
new revision: 1.8; previous revision: 1.7
debugger/src/org/netbeans/modules/ruby/debugger/RubyDebugger.java;
new revision: 1.12; previous revision: 1.11
debugger/src/org/netbeans/modules/ruby/debugger/RubySession.java;
new revision: 1.6; previous revision: 1.5
external/debug-commons-java-0.7.2.jar;
new revision: 1.2; previous revision: 1.1
kit/manifest.mf;
new revision: 1.38; previous revision: 1.37
kit/nbproject/project.xml;
new revision: 1.46; previous revision: 1.45
projects/nbproject/project.properties;
new revision: 1.38; previous revision: 1.37
projects/src/org/netbeans/modules/ruby/rubyproject/RakeSupport.java;
new revision: 1.2; previous revision: 1.1
projects/src/org/netbeans/modules/ruby/rubyproject/RubyActionProvider.java;
new revision: 1.14; previous revision: 1.13
projects/src/org/netbeans/modules/ruby/rubyproject/api/RubyExecution.java;
new revision: 1.7; previous revision: 1.6
projects/src/org/netbeans/modules/ruby/rubyproject/execution/ExecutionDescriptor.java;
new revision: 1.5; previous revision: 1.4
projects/src/org/netbeans/modules/ruby/rubyproject/execution/ExecutionService.java;
new revision: 1.9; previous revision: 1.8
projects/src/org/netbeans/modules/ruby/rubyproject/gems/GemManager.java;
new revision: 1.7; previous revision: 1.6
projects/src/org/netbeans/modules/ruby/rubyproject/spi/RubyDebuggerImplementation.java;
new revision: 1.5; previous revision: 1.4
railsprojects/manifest.mf;
new revision: 1.31; previous revision: 1.30
railsprojects/src/org/netbeans/modules/ruby/railsprojects/GenerateAction.java;
new revision: 1.7; previous revision: 1.6
railsprojects/src/org/netbeans/modules/ruby/railsprojects/RailsActionProvider.java;
new revision: 1.15; previous revision: 1.14
railsprojects/src/org/netbeans/modules/ruby/railsprojects/RailsProjectGenerator.java;
new revision: 1.12; previous revision: 1.11
railsprojects/src/org/netbeans/modules/ruby/railsprojects/RakeTargetsAction.java;
new revision: 1.3; previous revision: 1.2
railsprojects/src/org/netbeans/modules/ruby/railsprojects/server/RailsServer.java;
new revision: 1.3; previous revision: 1.2
debugger/test/unit/src/org/netbeans/modules/ruby/debugger/RubyDebuggerTest.java;
new revision: 1.10; previous revision: 1.9

Comment 2 Jiri Kovalsky 2007-07-03 14:15:16 UTC
Reassigning this issue to newly created 'ruby' component.
Comment 3 Jiri Kovalsky 2007-07-03 14:45:47 UTC
Changing target milestone of all resolved Ruby issues from TBD to 6.0 Beta 1 build.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo